DECLARE SUB Stats ()
DECLARE SUB CannotDo ()
DECLARE SUB CannotGo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
DECLARE SUB Hallway1 ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'          

SUB StorageRoom

RestoreRoom = 8
Room:
  CLS
  PRINT "You are standing in what seems to be a storage room.  Cardboard boxes full"
  PRINT "of odds and ends are stacked against the walls.  The air is musty, like an"
  PRINT "old attic.  The only exit is back through the way you came in."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN CannotGo: GOTO Command
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN CannotGo: GOTO Command
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN CannotGo: GOTO Command
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN Hallway1
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "OPEN BOXES" OR a$ = "SEARCH" OR a$ = "OPEN BOX" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "GET BOX" THEN PRINT "You have no need for that.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  IF Clothing = 1 THEN PRINT "You find nothing of particular interest in the boxes.": GOTO Command
  PRINT "In one of the boxes you find a bundle of clothes that fit you.  You slip"
  PRINT "them on.  In one of the pockets you find a small key."
  ApartmentKey = 1
  Clothing = 1
  GOTO Command

END SUB

